<!DOCTYPE HTML>
<html>
	<head>
		<title>HCG v0.001</title>
		<meta charset="utf-8" />
		<link rel="stylesheet" href="style.css" />
	</head>
	<body>
	<!-- Menu bar -->
		<div class="menu-bar">

		<!-- Login / Register menu -->
			<div class='menu-buttons' id='menu-login'>
				<div class='menu-button'>
					<div class='button-name'>
						Logowanie
						<div class='button-dropdown'>
							<input class='menu-input' type='text' placeholder='imię' id='login' value='Maciek'>
							<input class='menu-input' type='text' placeholder='pin' id='password' value='9403'>
							<input class='menu-input-button' type='button' value='Zaloguj' onclick='PageEvents.menu_onLogin()'>
						</div>
					</div>
				</div>
				<div class='menu-button'>
					<div class='button-name'>
						Nowy gracz
						<div class='button-dropdown'>
							<input class='menu-input' type='text' placeholder='imię' id='r-login' value=''>
							<input class='menu-input' type='text' placeholder='pin' id='r-password' value=''>
							<input class='menu-input-button' type='button' value='Wyślij' onclick='PageEvents.menu_onRegister()'>
						</div>
					</div>
				</div>
			</div>

		<!-- Main menu -->
			<div class='menu-buttons' id='menu-main'>
				<div class='menu-button' id='menu_my_games'>
					<div class='button-name'>
						Moje gry
						<div class='button-dropdown'>
							<div class='my-games-list' id='games-list-container'>
							</div>
						</div>
					</div>
				</div>

				<div class='menu-button' id='menu_join'>
					<div class='button-name'>
						Dołącz
						<div class='button-dropdown'>
							<input class='menu-input' type='text' placeholder='ID' id='join-game-id' value=''>
							<input class='menu-input-button' type='button' value='Dołącz' onclick='PageEvents.menu_onJoin()'>
						</div>
					</div>
				</div>
				<div class='menu-button' id='menu_newgame' onclick='PageEvents.menu_onNewGame()'>Nowa gra</div>
				<div class='menu-button' id='menu_settings' onclick='PageEvents.menu_onLogout()'>Wyloguj</div>
			</div>

		<!-- Ingame menu -->

		<!-- Lobby menu -->
			<section id='menu-lobby'>
				<div class='separator' id='submenu-lobby-main-1'></div>
				<div class='submenu' id='submenu-lobby-main-2'>
					<div class='menu-button' onclick='PageEvents.lobby_onCardChange(0)'>Gracze</div>
					<div class='menu-button' onclick='PageEvents.lobby_onCardChange(1)'>Mapa</div>
					<div class='menu-button' id='admin-card'>
						<div class='button-name'>
							Serwer
							<div class='button-dropdown'>
								<div class='server-controls-list'>
									<div class='server-control' onclick='PageEvents.lobby_onAction(4)'>Akceptuj graczy</div>
									<div class='server-control'>Wyrzuć gracza</div>
									<div class='server-control' onclick='PageEvents.lobby_onAction(6)'>Rozpocznij grę</div>
								</div>
							</div>
						</div>
					</div>
				</div>

			<!-- Lobby submenu - Players view -->
				<div class='separator' id='submenu-lobby-players-1'></div>
				<div class='submenu' id='submenu-lobby-players-2'>
					<div class='menu-button'>Wybierz kolor
						<div class='color-container'>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 1)' id='c-red'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 2)' id='c-green'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 3)' id='c-blue'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 4)' id='c-black'></div>
							
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 5)' id='c-orange'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 6)' id='c-purple'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 7)' id='c-white'></div>
							<div class='color-box' onclick='PageEvents.lobby_onAction(0, 8)' id='c-yellow'></div>
						</div>
					</div>
					<div class='menu-button' onclick='PageEvents.lobby_onAction(1)'>Zaakceptuj</div>
				</div>

			<!-- Lobby submenu - Map view -->
				<div class='separator' id='submenu-lobby-map-1'></div>
				<div class='submenu' id='submenu-lobby-map-2'>
					<div class='menu-button' onclick='PageEvents.lobby_onAction(2)'>Ustaw osadę</div>
					<div class='menu-button' onclick='PageEvents.lobby_onAction(3)'>Ustaw drogę</div>
					<div class='menu-button' onclick='PageEvents.lobby_onAction(7)'>Wyczyść</div>
				</div>
			</section>

		</div>

	<!-- Canvas -->
		<div class="canvas">
			<canvas id="game_plane">


			</canvas>
		</div>

	<!-- Outsource -->
		<script src="outsource/js.cookie.min.js"></script>
		<script src="outsource/crypto-js.min.js"></script>
		<script src="outsource/jquery-3.5.1.min.js"></script>

	<!-- Page-related scripts -->
		<script src="page-scripts.js"></script>
		<script src="page-controls.js"></script>
		<script src="hide-menu-elements.js"></script>

	<!-- Basic definitions -->
		<script src="engine/init.js"></script>
		<script src="engine/clientCodes.js"></script>
		<script src="engine/client.js"></script>
		<script src="engine/sprite.js"></script>
		<script src="game/map.js"></script>
		<script src="game/gameStatus.js"></script>


	<!-- Load game -->
		<script src="game/init.js"></script>
		<script src="game/loadTextures.js"></script>
		<script src="game/player.js"></script>

	<!-- Run engine -->
		<script src='engine/clickableAreas.js'></script>
		<script src='engine/core_lobby.js'></script>
		<script src='engine/core_ingame.js'></script>
		<script src='engine/core_finished.js'></script>
		<script src="engine/core.js"></script>
	</body>
</html>